# JavadocOptionFileOption

interface JavadocOptionFileOption<T> : OptionLessJavadocOptionFileOption<T>

Represents a Javadoc command-line option.

#### Parameters

<T>

The type which this option represents.

## Functions

getOption
Link copied to clipboard
abstract fun getOption(): String
getValue
Link copied to clipboard
abstract fun getValue(): T
setValue
Link copied to clipboard
abstract fun setValue(value: T)
write
Link copied to clipboard
abstract fun write(writerContext: JavadocOptionFileWriterContext)